Page MenuHomePhabricator

BlueSpiceWhoIsOnline: LanguageGetMagic hook (used in WhoIsOnline::onLanguageGetMagic) was deprecated in MediaWiki 1.16.
Closed, ResolvedPublic

Description

BlueSpiceWhoIsOnline uses a deprecated MediaWiki hook LanguageGetMagic.

LanguageGetMagic hook (used in WhoIsOnline::onLanguageGetMagic) was deprecated in MediaWiki 1.16.
[Called from Hooks::run in /workspace/src/includes/Hooks.php at line 202]

From the hook definition:

LanguageGetMagic: DEPRECATED since 1.16! Use $magicWords in a file listed in $wgExtensionMessagesFiles instead.
Use this to define synonyms of magic words depending of the language
&$magicExtensions: associative array of magic words synonyms
$lang: language code (string)

Event Timeline

hashar triaged this task as Normal priority.Jun 21 2018, 8:30 PM
hashar created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2018, 8:30 PM
hashar updated the task description. (Show Details)Jun 21 2018, 9:59 PM
Vvjjkkii renamed this task from BlueSpiceWhoIsOnline: LanguageGetMagic hook (used in WhoIsOnline::onLanguageGetMagic) was deprecated in MediaWiki 1.16. to 4haaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 4haaaaaaaa to BlueSpiceWhoIsOnline: LanguageGetMagic hook (used in WhoIsOnline::onLanguageGetMagic) was deprecated in MediaWiki 1.16. .Jul 2 2018, 11:13 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
hashar closed this task as Resolved.Jul 11 2018, 5:20 PM
hashar assigned this task to Reedy.
hashar added a subscriber: Reedy.

Fixed by @Reedy in T199292